Autor Wątek: [SOLVED]Aktualizacja zakończona z powodu błędu-kod błędu 127  (Przeczytany 4165 razy)

rw12

  • Gość
[SOLVED]Aktualizacja zakończona z powodu błędu-kod błędu 127
« dnia: Październik 29, 2014, 23:59:56 pm »
Witam,
Podczas aktualizacji pojawia się komunikat:
E: edubuntu-artwork: podproces zainstalowany skrypt post-removal zwrócił kod błędu 127
szczegóły to:
(synaptic:4344): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
(Odczytywanie bazy danych ... 195439 plików i katalogów obecnie zainstalowanych.)
Removing edubuntu-artwork (14.03.1) ...
/var/lib/dpkg/info/edubuntu-artwork.postrm: 25: /var/lib/dpkg/info/edubuntu-artwork.postrm: gtk-update-icon-cache: not found
dpkg: error processing package edubuntu-artwork (--remove):
 podproces zainstalowany skrypt post-removal zwrócił kod błędu 127
Wystąpiły błędy podczas przetwarzania:
 edubuntu-artwork
E: Sub-process /usr/bin/dpkg returned an error code (1)
Nie udało się zainstalować pakietu. Próba powrócenia do poprzedniego stanu:
Próbowałem z poziomu synaptic wszystkie możliwe opcje i nic, żadnej zmiany, poza tym system działa beż zarzuitów
proszę o pomoc.

pozdrawiam.
« Ostatnia zmiana: Listopad 01, 2014, 18:32:09 pm wysłana przez szymon1978 »

Offline moarcode

  • Siewca hejtu
  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1799
  • Punkty: 993
  • Płeć: Mężczyzna
  • 1, 2,3 próba klawiatury.
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #1 dnia: Październik 30, 2014, 08:49:40 am »
Z jakiej wersji na jaką?

PS: 1. Przeczytaj regulamin. 2. Uzywaj znacznikow 'code' gdy wrzucasz output z konsoli.
Look closer, fall deeper.

rw12

  • Gość
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #2 dnia: Październik 30, 2014, 09:48:17 am »
To zwykła aktualizacja menadżerem aktualizacji, innej wersji  systemu nie używałem.
« Ostatnia zmiana: Październik 30, 2014, 09:51:18 am wysłana przez rw12 »

Offline moarcode

  • Siewca hejtu
  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1799
  • Punkty: 993
  • Płeć: Mężczyzna
  • 1, 2,3 próba klawiatury.
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #3 dnia: Październik 30, 2014, 10:09:26 am »
Pokaz caly wynik wraz z poleceniem jakie stosujesz.
Look closer, fall deeper.

rw12

  • Gość
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #4 dnia: Październik 30, 2014, 10:22:13 am »
To co napisałem, to informacja zwrotna z menadżera aktualizacji, wraz ze szczegółami.

Offline moarcode

  • Siewca hejtu
  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1799
  • Punkty: 993
  • Płeć: Mężczyzna
  • 1, 2,3 próba klawiatury.
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #5 dnia: Październik 30, 2014, 10:34:10 am »
A ja jeszcze raz poproszę o caly wynik wraz z komendą jaka była wydana.

EDIT: Wpisz w konsoli
sudo apt-get update

I pokaz co wyrzuci.
Look closer, fall deeper.

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2398
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #6 dnia: Październik 30, 2014, 16:35:04 pm »
Jak zwykle w ubuntu zwalili zależności. Rozwiązanie problemu:
sudo apt-get install libgtk2.0-bin

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

rw12

  • Gość
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #7 dnia: Październik 30, 2014, 22:08:38 pm »
[email protected] ~ $ sudo apt-get install libgtk2.0-bin
[sudo] password for dell:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Następujące pakiety zostaną USUNIĘTE:
  edubuntu-artwork
Zostaną zainstalowane następujące NOWE pakiety:
  libgtk2.0-bin
0 aktualizowanych, 1 nowo instalowanych, 1 usuwanych i 55 nieaktualizowanych.
1 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 9784 B archiwów.
Po tej operacji zostanie zwolnione 928 kB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgtk2.0-bin i386 2.24.23-0ubuntu1.1 [9784 B]
Pobrano 9784 B w 1s (6325 B/s)   
(Odczytywanie bazy danych ... 195439 plików i katalogów obecnie zainstalowanych.)
Removing edubuntu-artwork (14.03.1) ...
/var/lib/dpkg/info/edubuntu-artwork.postrm: 25: /var/lib/dpkg/info/edubuntu-artwork.postrm: gtk-update-icon-cache: not found
dpkg: error processing package edubuntu-artwork (--remove):
 podproces zainstalowany skrypt post-removal zwrócił kod błędu 127
Wystąpiły błędy podczas przetwarzania:
 edubuntu-artwork
E: Sub-process /usr/bin/dpkg returned an error code (1)
[email protected] ~ $
Dzięki za poradę, ale nadal nie działa, może pobrać paczkę deb i zainstalować ręcznie?

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2398
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #8 dnia: Październik 31, 2014, 21:11:26 pm »
Sprobowałbym w taki sposób:
sudo dpkg -r edubuntu-artwork

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

rw12

  • Gość
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #9 dnia: Październik 31, 2014, 21:23:52 pm »
[email protected] ~ $ sudo dpkg -r edubuntu-artwork
[sudo] password for dell:
(Odczytywanie bazy danych ... 195439 plików i katalogów obecnie zainstalowanych.)
Removing edubuntu-artwork (14.03.1) ...
/var/lib/dpkg/info/edubuntu-artwork.postrm: 25: /var/lib/dpkg/info/edubuntu-artwork.postrm: gtk-update-icon-cache: not found
dpkg: error processing package edubuntu-artwork (--remove):
 podproces zainstalowany skrypt post-removal zwrócił kod błędu 127
Wystąpiły błędy podczas przetwarzania:
 edubuntu-artwork
[email protected] ~ $
Bez zmian.

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2398
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #10 dnia: Listopad 01, 2014, 08:04:50 am »
Zrobiłbym inaczej. Edytował plik /var/lib/dpkg/info/edubuntu-artwork.postrm i wyłączył 25 linię stawiając znak # na jej początku.

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

rw12

  • Gość
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #11 dnia: Listopad 01, 2014, 10:14:18 am »
Która to powinna być linijka?
Treść jest taka:#!/bin/sh
set -e

case "$1" in
    remove)
        # Restore Breathe icons diversions (we need a better way to do this)
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/16x16/places/start-here.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/22x22/places/start-here.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/24x24/places/start-here.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/32x32/places/start-here.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/48x48/places/start-here.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/Breathe/scalable/places/start-here.svg

        # Restore GartoonRedux icons diversions (we need a better way to do this)
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/GartoonRedux/16x16/places/distributor-logo.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/GartoonRedux/22x22/places/distributor-logo.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/GartoonRedux/24x24/places/distributor-logo.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/GartoonRedux/32x32/places/distributor-logo.png
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/icons/GartoonRedux/48x48/places/distributor-logo.png

        # Restore unity distributor logo
        dpkg-divert --quiet --rename --package edubuntu-artwork --remove /usr/share/unity/icons/launcher_bfb.png

        # Update icon cache
        gtk-update-icon-cache

        # Force update the compiled glib schemas
        glib-compile-schemas /usr/share/glib-2.0/schemas || true

        # And same for gconf (still needed as ubuntu-artwork ships one...)
        update-gconf-defaults
    ;;
esac

# Automatically added by dh_icons
if which update-icon-caches >/dev/null 2>&1 ; then
   update-icon-caches /usr/share/icons/Breathe /usr/share/icons/GartoonRedux /usr/share/icons/ElementaryEdubuntu
fi
# End automatically added section
Proszę o wyrozumiałość.
« Ostatnia zmiana: Listopad 01, 2014, 15:13:49 pm wysłana przez mati75 »

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2398
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #12 dnia: Listopad 01, 2014, 15:14:34 pm »
W tym miejscu:
# Update icon cachezamiast:
gtk-update-icon-cachenależy umieścić:
#gtk-update-icon-cache

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

rw12

  • Gość
[ROZWIĄZANY] Odp: Aktualizacja zakończona z powodu błędu-kod błędu 127
« Odpowiedź #13 dnia: Listopad 01, 2014, 17:28:44 pm »
Dziękuję za pomoc, zastosowałem poradę i aktualizacja działa jak trzeba.

Pozdrawiam.